{**************************************************
   about.pas -- About Box

   You may customize this About Box if needed. But,
   currently, most of its information comes from
   params.pas file.

   Copyright (C) 1999-2001, Sanjay Kanade
   http://kanadepro.com/delphistuff/
**************************************************}
unit about;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    ProgramIcon: TImage;
    ProductName: TLabel;
    Version: TLabel;
    Copyright: TLabel;
    OKButton: TButton;
    Warning: TStaticText;
    ProgDesc: TLabel;
    tmLabel: TLabel;
    website: TLabel;
    Email: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure WebsiteClick(Sender: TObject);
    procedure EmailClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation

{$R *.DFM}

uses
  commdefs, dialogs, sskutils;

//*******************************************
procedure TAboutBox.FormCreate(Sender: TObject);
begin
  Caption := 'About ' + PrmProgName;
  ProductName.Caption := PrmProgName;
  tmLabel.left := productName.left+productName.width;
  ProgDesc.Caption := PrmProgDesc;
  Copyright.Caption := PrmCopyright;
  Warning.Caption := PrmAboutNote;
  //As far as the version number is concerned, it's best to
  //get it from Version Info's file version. The following
  //routine gets the version you set in the version info.
  //It takes care to remove the trailing .0's
  Version.Caption := PrmVersionPrefix + ' ' + getMyFileVersion;
  Website.Caption := PrmWebsite;
  Email.Caption := PrmEmail;
end;

//*******************************************
procedure TAboutBox.WebsiteClick(Sender: TObject);
begin
   ExecuteFile(PrmWebSite, '', '', SW_SHOW);
end;

//*******************************************
procedure TAboutBox.EmailClick(Sender: TObject);
begin
  ExecuteFile('mailto:'+PrmEmailActual, '', '', SW_SHOW);
end;

end.

