{**************************************************
   reminder.pas -- Startup reminder box

   Copyright (C) 1999-2001, Sanjay Kanade
   http://kanadepro.com/delphistuff/
**************************************************}
unit reminder;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons;

type
  TReminder = class(TForm)
    memo: TMemo;
    BitBtn1: TBitBtn;
    ckDont: TCheckBox;
    procedure BitBtn1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  end;

procedure remindAtStartup;

implementation

{$R *.DFM}

uses commdefs, registry;

var
  RkeyNoRemind:string = 'NoReminder';
  dontRemind:boolean = false;

//*******************************************
procedure remindAtStartup;
var
  reg: TRegistry;
begin
  if PrmReminderNote = '' then
    exit;
  reg := TRegistry.Create;
  try
    reg.OpenKey(PrmRegKeyBase, true);
    dontRemind := reg.ReadBool(RkeyNoRemind);
  except
    dontRemind := false;
  end;
  if not dontRemind then
  begin
    with TReminder.Create(application.mainForm) do
    try
      ShowModal;
    finally
      Free;
    end;
    try
      reg.OpenKey(PrmRegKeyBase, true);
      reg.writeBool(RkeyNoRemind, dontRemind);
    except
    end;
  end;
  reg.free;
end;

//*******************************************
procedure TReminder.BitBtn1Click(Sender: TObject);
begin
  dontRemind := ckDont.checked;
end;

//*******************************************
procedure TReminder.FormCreate(Sender: TObject);
begin
  memo.lines.text := PrmReminderNote;
end;

end.
